# executeQuery

(since Version 0.0.1)
executeQuery -- Executes a SQL-Statement, and returns (depending on the Type of SQL-Statement) a ResultSet Object or an int

## Description:

    ResultSet/int executeQuery (string sqlQueryString)

Executes a SQL-Statement on the Database.
Not all Keywords and Statements of the SQL Standard are supported (See the SQL Syntax Page of this Manual)

Dont forget to escape " with a \ (See Escape Page of this Manual)

## Parameter:

    sqlQueryString
| Sql Statement String (example:"SELECT nr, name FROM person WHERE person.name=\"HANS\";")

## Return Value:

SELECT/LIST TABLES Satements:
- A ResultSet Object, containing the Data returned by the Query
- In case of an Error false is returned.

UPDATE/INSERT/DELETE Statements:
- The Number of Rows changed is returned as int
- In case of an Error false is returned. (Attention: FALSE and 0 do not have the same meaning!)

CREATE TABLE/DROP TABLE/CREATE DATABASE/DROP DATABASE Statements:
- If ok: true
- In case of an Error false is returned.